part of 'update_activity_cubit.dart';

class UpdateActivityState extends Equatable {
  const UpdateActivityState();

  @override
  List<Object> get props => [];
}

class UpdateActivityInitial extends UpdateActivityState {}

class UpdateActivityLoading extends UpdateActivityState {}

class UpdateActivityFailure extends UpdateActivityState {
  final String errorMessage;

  UpdateActivityFailure(this.errorMessage);
}

class UpdateActivityPrepareDataSuccessful extends UpdateActivityState {
  UpdateActivityPrepareDataSuccessful();
}
